local Layout = require 'lib.luigi.layout'

return function (title, text, onConfirm, onCancel)
    local dialog = Layout {
        type = 'submenu', modal = 'true', width = 250, height = 150,
        { type = 'panel', text = title, size = 18, height = 38,
            align = 'center middle' },
        { flow = 'x',
            { text = '?', size = 48, width = 100, color = { 0, 0, 255 },
                align = 'center middle' },
            { text = text, align = 'left middle', wrap = true },
        },
        { type = 'panel', flow = 'x', height = 'auto',
            {}, -- spacer
            { id = 'cancel', type = 'button', text = 'Cancel' },
            { id = 'confirm', type = 'button', text = 'Confirm' },
        }
    }

    dialog:setTheme(require 'lib.luigi.theme.dark')

    dialog.cancel:onPress(function (event)
        if event.button ~= 'left' then return end
        if onCancel and onCancel() ~= nil then return end
        dialog:hide()
    end)

    dialog.confirm:onPress(function (event)
        if event.button ~= 'left' then return end
        if onConfirm and onConfirm() ~= nil then return end
        dialog:hide()
    end)

    return dialog
end
