local Layout = require 'lib.luigi.layout'
local Gamestate = require 'lib.hump.gamestate'

return function (game)
    local menu = Layout {
        { flow = 'x',
            { width = 200,
                { type = 'button', id = 'play', text = 'Play' },
                { type = 'button', id = 'quit', text = 'Quit' },
            },
            { color = { 255, 0, 0 }, align = 'middle center',
                text = 'A preview goes here' },
        }
    }

    menu:setTheme(require 'lib.luigi.theme.dark')

    menu.play:onPress(function (event)
        if event.button ~= 'left' then return end
        Gamestate.switch(game)
    end)

    menu.quit:onPress(function (event)
        if event.button ~= 'left' then return end
        love.event.quit()
    end)

    menu.play:focus()

    return menu
end
